Bug 127251 - RFE: Correct detection for 5 buttons mice
Summary: RFE: Correct detection for 5 buttons mice
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-mouse   
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-05 10:18 UTC by Dams
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-26 21:53:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dams 2004-07-05 10:18:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.4.1)
Gecko/20031114 Galeon/1.3.11a

Description of problem:
kudzu/rhpl/system-config-mouse doesnt configure correctly mice with 5
buttons wheeled mice (in X11 terms they are 7 buttons mice).
These mice are actually configured with protocol IMPS/2 and Buttons 5,
when they should be configured with protocole ExplorePS/2 and Buttons
7, with ZAxisMapping on buttons 6 7.

When using IMPS/2 + Buttons 7 in Xorg configuration file, the 2 extra
buttons are bound to Buttons 2 and 3.

Here is the mouse entry from proc/bus/input/devices :

I: Bus=0011 Vendor=0002 Product=0006 Version=0000 12:05
N: Name="ImExPS/2 Generic Explorer Mouse"
P: Phys=isa0060/serio1/input0
H: Handlers=mouse0 event0
B: EV=7
B: KEY=1f0000 0 0 0 0 0 0 0 0
B: REL=103

Here is the output from python command :
kudzu.probe(kudzu.CLASS_MOUSE,kudzu.BUS_UNSPEC,kudzu.PROBE_ALL)

[Desc:          ImExPS/2 Generic Explorer Mouse
Driver:         generic3ps/2
Device:         input/mice
]

system-config-mouse doesnt

Comment 1 Dams 2004-07-05 10:20:09 UTC
i commited the bug too soon (time for lunch..). My last sentence : 
system-config-mouse doesnt make us able to select this sort of mice,
and an entry in the selection menu should probably be added.

Comment 2 Bill Nottingham 2004-07-06 21:21:26 UTC
I don't see any specific identifying info that denotes the number of
buttons on the mice, which makes automatic configuration tricky.

Comment 3 Dams 2004-07-08 18:54:05 UTC
I think all explorer mice *has* so many buttons (5+wheel).

Comment 4 Matthew Miller 2005-04-26 16:25:41 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 5 Paul Nasrat 2005-09-26 21:53:49 UTC
system-config-mouse is going away for FC5


Note You need to log in before you can comment on or make changes to this bug.